/* align */
.mod-align-left {
	position: relative;
    display: inline-block;
	left: 0;
	transform: translateX(0);
}
.mod-align-center {
	position: relative;
    display: inline-block;
	left: 50%;
	transform: translateX(-50%);
}
.mod-align-right {
	position: relative;
    display: inline-block;
	left: 100%;
	transform: translateX(-100%);
    
    @Mobile {
		left: 0;
		transform: translateX(0);
    }
    
    &.noresetmobile {
		left: 100%;
		transform: translateX(-100%);
    }
}

.mod-whitespace-nowrap {
	white-space: nowrap;
}

.mod-valign-middle {
	position: relative;
	top: 50%;
	transform: translateY(-50%);
}

.mod-valign-middle.mod-align-left {
	transform: translateX(0) translateY(-50%);
}

.mod-valign-middle.mod-align-center {
	transform: translateX(-50%) translateY(-50%);
}

.mod-valign-middle.mod-align-right {
	transform: translateX(-100%) translateY(-50%);
}

/* scrolling */
.mod-no-scroll {
	width:100%;
	height:100%;
	overflow:hidden;
}
.mod-scroll-wrapper {
	width:100%;
	height:100%;
}
.mod-scroll-horizontal {
	width:100%;
	height:100%;
    overflow-y: auto;
    overflow-x: hidden;
}

/* position */
.mod-relative {
	position: relative;
}

/* display */
.mod-display-block {
	display: block;
}
.mod-display-flex {
	display: flex;
}
.mod-display-none {
	display: none;
}
.mod-display-inline-block {
	display: inline-block;
}

/* Flex classes */
.mod-justify-between {
	justify-content: space-between;
}

/* margin */
.mod-nomargin {
	margin-top: 0 !important;
	margin-right: 0 !important;
	margin-left: 0 !important;
	margin-bottom: 0 !important;
}
.mod-nomargin-bottom {
	margin-bottom: 0 !important;
}
.mod-nomargin-top {
	margin-top: 0 !important;
}

/* padding */
.mod-nopadding {
	padding-top: 0 !important;
	padding-right: 0 !important;
	padding-left: 0 !important;
	padding-bottom: 0 !important;
}
.mod-nopadding-top {
	padding-top: 0 !important;
}
.mod-nopadding-bottom {
	padding-bottom: 0 !important;
}
.mod-no-side-spacing {
	padding-left: 0 !important;
	padding-right: 0 !important;
}
.mod-nopadding-left {
	padding-left: 0 !important;
}
.mod-nopadding-right {
	padding-right: 0 !important;
}

/* border */
.mod-noborder-top {
	border-top-width:0px!important;
}
.mod-noborder-bottom {
	border-bottom-width:0px!important;
}

/* RESPONSIVE */
.mod-hide-mobile {
	@Mobile {
		display: none!important;
	}
}

.mod-hide-tablet {
	@Mobile {
		display: none!important;
	}
	@Tablet {
		display: none!important;
	}
}

.mod-hide-desktop {
	display: none!important;
	
	@Mobile {
		display: block!important;
	}
}

/* wrapping */
.mod-no-wrap {
	&.multicolumn {
		@Mobile {
			flex-direction: row;
		}
		
		.col {
			@Mobile {
				margin-bottom: 0px;
				min-width: 0px;
			}
		}
	}
}
.mod-flex-columns {
    flex-wrap: wrap;
    flex-direction: column;
    margin:0 25px;
    
    &:first-child {
    	margin-left:0;
    }
    
    &:last-child {
    	margin-right:0;
    }    
}
.form-group .mod-margin-center {
    margin:0 auto;
    padding:0;
}